package org.fluttercode.resourcedemo.resourcedemo;

import java.util.Locale;
import java.util.Set;

public class MissingResourceInfo {

	private final String key;
	private final String locale;

	public MissingResourceInfo(String key, Locale locale) {
		this(key,locale.getDisplayName());
	}

	public MissingResourceInfo(String key, String locale) {
		super();
		this.key = key;
		this.locale = locale;
	}

	public String getKey() {
		return key;
	}
	
	public String getLocale() {
		return locale;
	}
	

	
}
