package org.fluttercode.resourcedemo.resourcedemo;

import java.text.MessageFormat;
import java.util.MissingResourceException;
import java.util.ResourceBundle;

import javax.annotation.Resource;
import javax.enterprise.context.RequestScoped;
import javax.faces.application.FacesMessage;
import javax.faces.context.FacesContext;
import javax.inject.Inject;
import javax.inject.Named;

@Named
@RequestScoped
public class SomeBean {

	@Inject @MessageBundle
	private ResourceBundle bundle;
			
	public String getMessage() {
		String msg = null;
		String key = "someMessage";
		try {
			msg = bundle.getString(key);
		} catch (MissingResourceException e) {
			msg = "??"+key+"?? is missing!";
		}
		return MessageFormat.format(msg, "SomeValue");				
	}
}
